## quackle 0.97-maemo3

=== Makefile ===
#############################################################################
# Makefile for building: libquackle.a
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Aug 22 23:41:05 2012
# Project:  quackle.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -o Makefile quackle.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/include -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/release/

####### Files

SOURCES       = bogowinplayer.cpp \
		alphabetparameters.cpp \
		bag.cpp \
		board.cpp \
		boardparameters.cpp \
		catchall.cpp \
		clock.cpp \
		computerplayer.cpp \
		computerplayercollection.cpp \
		datamanager.cpp \
		endgame.cpp \
		endgameplayer.cpp \
		enumerator.cpp \
		evaluator.cpp \
		game.cpp \
		gameparameters.cpp \
		generator.cpp \
		lexiconparameters.cpp \
		move.cpp \
		player.cpp \
		playerlist.cpp \
		preendgame.cpp \
		rack.cpp \
		reporter.cpp \
		resolvent.cpp \
		sim.cpp \
		strategyparameters.cpp 
OBJECTS       = obj/release/bogowinplayer.o \
		obj/release/alphabetparameters.o \
		obj/release/bag.o \
		obj/release/board.o \
		obj/release/boardparameters.o \
		obj/release/catchall.o \
		obj/release/clock.o \
		obj/release/computerplayer.o \
		obj/release/computerplayercollection.o \
		obj/release/datamanager.o \
		obj/release/endgame.o \
		obj/release/endgameplayer.o \
		obj/release/enumerator.o \
		obj/release/evaluator.o \
		obj/release/game.o \
		obj/release/gameparameters.o \
		obj/release/generator.o \
		obj/release/lexiconparameters.o \
		obj/release/move.o \
		obj/release/player.o \
		obj/release/playerlist.o \
		obj/release/preendgame.o \
		obj/release/rack.o \
		obj/release/reporter.o \
		obj/release/resolvent.o \
		obj/release/sim.o \
		obj/release/strategyparameters.o
DIST          = /targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/static.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		quackle.pro
QMAKE_TARGET  = quackle
DESTDIR       = 
TARGET        = libquackle.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: quackle.pro  /targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/release.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/staticlib.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/static.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile quackle.pro
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/release.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/staticlib.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/static.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile quackle.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/release/quackle0.9 || $(MKDIR) obj/release/quackle0.9 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/release/quackle0.9/ && $(COPY_FILE) --parents alphabetparameters.h bag.h board.h boardparameters.h bogowinplayer.h catchall.h clock.h computerplayer.h computerplayercollection.h datamanager.h endgame.h endgameplayer.h enumerator.h evaluator.h fixedstring.h gaddag.h game.h gameparameters.h generator.h lexiconparameters.h move.h player.h playerlist.h preendgame.h rack.h reporter.h resolvent.h sim.h strategyparameters.h uv.h obj/release/quackle0.9/ && $(COPY_FILE) --parents bogowinplayer.cpp alphabetparameters.cpp bag.cpp board.cpp boardparameters.cpp catchall.cpp clock.cpp computerplayer.cpp computerplayercollection.cpp datamanager.cpp endgame.cpp endgameplayer.cpp enumerator.cpp evaluator.cpp game.cpp gameparameters.cpp generator.cpp lexiconparameters.cpp move.cpp player.cpp playerlist.cpp preendgame.cpp rack.cpp reporter.cpp resolvent.cpp sim.cpp strategyparameters.cpp obj/release/quackle0.9/ && (cd `dirname obj/release/quackle0.9` && $(TAR) quackle0.9.tar quackle0.9 && $(COMPRESS) quackle0.9.tar) && $(MOVE) `dirname obj/release/quackle0.9`/quackle0.9.tar.gz . && $(DEL_FILE) -r obj/release/quackle0.9


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

=== makeminidawg/Makefile ===
#############################################################################
# Makefile for building: makeminidawg
# Generated by qmake (2.01a) (Qt 4.2.1) on: Sun Jul 20 15:09:09 2008
# Project:  makeminidawg.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile makeminidawg.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT  $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.. -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -L.. -L../quackleio -lquackle -lquackleio -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/release/

####### Files

SOURCES       = minidawgmaker.cpp \
		makeminidawgmain.cpp 
OBJECTS       = obj/release/minidawgmaker.o \
		obj/release/makeminidawgmain.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		makeminidawg.pro
QMAKE_TARGET  = makeminidawg
DESTDIR       = 
TARGET        = makeminidawg

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: makeminidawg.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix -o Makefile makeminidawg.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile makeminidawg.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/release/makeminidawg1.0.0 || $(MKDIR) obj/release/makeminidawg1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/release/makeminidawg1.0.0/ && $(COPY_FILE) --parents minidawgmaker.h obj/release/makeminidawg1.0.0/ && $(COPY_FILE) --parents minidawgmaker.cpp makeminidawgmain.cpp obj/release/makeminidawg1.0.0/ && (cd `dirname obj/release/makeminidawg1.0.0` && $(TAR) makeminidawg1.0.0.tar makeminidawg1.0.0 && $(COMPRESS) makeminidawg1.0.0.tar) && $(MOVE) `dirname obj/release/makeminidawg1.0.0`/makeminidawg1.0.0.tar.gz . && $(DEL_FILE) -r obj/release/makeminidawg1.0.0


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

obj/release/minidawgmaker.o: minidawgmaker.cpp ../quackleio/flexiblealphabet.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../quackleio/froggetopt.h \
		../quackleio/util.h \
		../datamanager.h \
		../playerlist.h \
		../player.h \
		../rack.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/minidawgmaker.o minidawgmaker.cpp

obj/release/makeminidawgmain.o: makeminidawgmain.cpp minidawgmaker.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/makeminidawgmain.o makeminidawgmain.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== quacker/Makefile ===
#############################################################################
# Makefile for building: quacker
# Generated by qmake (2.01a) (Qt 4.7.0) on: Wed Aug 22 23:41:05 2012
# Project:  quacker.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile quacker.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/include/QtCore -I/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/include/QtGui -I/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/include -I. -I.. -Imoc
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L.. -L../quackleio -lquackle -lquackleio -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/release/

####### Files

SOURCES       = bagdisplay.cpp \
		boarddisplay.cpp \
		boardsetup.cpp \
		boardsetupdialog.cpp \
		brb.cpp \
		configdialog.cpp \
		configpages.cpp \
		dashboard.cpp \
		geometry.cpp \
		graphicalboard.cpp \
		graphicalreporter.cpp \
		history.cpp \
		letterbox.cpp \
		letterboxsettings.cpp \
		lister.cpp \
		movebox.cpp \
		newgame.cpp \
		noteeditor.cpp \
		quacker.cpp \
		quackersettings.cpp \
		rackdisplay.cpp \
		settings.cpp \
		simviewer.cpp \
		view.cpp \
		widgetfactory.cpp \
		oppothread.cpp \
		oppothreadprogressbar.cpp \
		main.cpp moc/moc_bagdisplay.cpp \
		moc/moc_boarddisplay.cpp \
		moc/moc_boardsetup.cpp \
		moc/moc_boardsetupdialog.cpp \
		moc/moc_brb.cpp \
		moc/moc_configdialog.cpp \
		moc/moc_dashboard.cpp \
		moc/moc_graphicalboard.cpp \
		moc/moc_history.cpp \
		moc/moc_letterbox.cpp \
		moc/moc_lister.cpp \
		moc/moc_movebox.cpp \
		moc/moc_newgame.cpp \
		moc/moc_noteeditor.cpp \
		moc/moc_quacker.cpp \
		moc/moc_rackdisplay.cpp \
		moc/moc_settings.cpp \
		moc/moc_simviewer.cpp \
		moc/moc_view.cpp \
		moc/moc_oppothread.cpp \
		moc/moc_oppothreadprogressbar.cpp
OBJECTS       = obj/release/bagdisplay.o \
		obj/release/boarddisplay.o \
		obj/release/boardsetup.o \
		obj/release/boardsetupdialog.o \
		obj/release/brb.o \
		obj/release/configdialog.o \
		obj/release/configpages.o \
		obj/release/dashboard.o \
		obj/release/geometry.o \
		obj/release/graphicalboard.o \
		obj/release/graphicalreporter.o \
		obj/release/history.o \
		obj/release/letterbox.o \
		obj/release/letterboxsettings.o \
		obj/release/lister.o \
		obj/release/movebox.o \
		obj/release/newgame.o \
		obj/release/noteeditor.o \
		obj/release/quacker.o \
		obj/release/quackersettings.o \
		obj/release/rackdisplay.o \
		obj/release/settings.o \
		obj/release/simviewer.o \
		obj/release/view.o \
		obj/release/widgetfactory.o \
		obj/release/oppothread.o \
		obj/release/oppothreadprogressbar.o \
		obj/release/main.o \
		obj/release/moc_bagdisplay.o \
		obj/release/moc_boarddisplay.o \
		obj/release/moc_boardsetup.o \
		obj/release/moc_boardsetupdialog.o \
		obj/release/moc_brb.o \
		obj/release/moc_configdialog.o \
		obj/release/moc_dashboard.o \
		obj/release/moc_graphicalboard.o \
		obj/release/moc_history.o \
		obj/release/moc_letterbox.o \
		obj/release/moc_lister.o \
		obj/release/moc_movebox.o \
		obj/release/moc_newgame.o \
		obj/release/moc_noteeditor.o \
		obj/release/moc_quacker.o \
		obj/release/moc_rackdisplay.o \
		obj/release/moc_settings.o \
		obj/release/moc_simviewer.o \
		obj/release/moc_view.o \
		obj/release/moc_oppothread.o \
		obj/release/moc_oppothreadprogressbar.o
DIST          = /targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		quacker.pro
QMAKE_TARGET  = quacker
DESTDIR       = 
TARGET        = quacker

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: quacker.pro  /targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile quacker.pro
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/debug.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-f3747df9ef4624a0fa0bee12f6802e9b515f58c9/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile quacker.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/release/quacker1.0.0 || $(MKDIR) obj/release/quacker1.0.0

=== quackleio/Makefile ===
#############################################################################
# Makefile for building: libquackleio.a
# Generated by qmake (2.01a) (Qt 4.2.1) on: Sun Jul 20 14:47:29 2008
# Project:  quackleio.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -o Makefile quackleio.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -fPIC -Wall -W -D_REENTRANT  $(DEFINES)
CXXFLAGS      = -pipe -O2 -fPIC -Wall -W -D_REENTRANT  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I. -I.. -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/release/

####### Files

SOURCES       = gcgio.cpp \
		queenie.cpp \
		streamingreporter.cpp \
		flexiblealphabet.cpp \
		util.cpp \
		froggetopt.cpp \
		dict.cpp \
		dictfactory.cpp \
		dictimplementation.cpp 
OBJECTS       = obj/release/gcgio.o \
		obj/release/queenie.o \
		obj/release/streamingreporter.o \
		obj/release/flexiblealphabet.o \
		obj/release/util.o \
		obj/release/froggetopt.o \
		obj/release/dict.o \
		obj/release/dictfactory.o \
		obj/release/dictimplementation.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		quackleio.pro
QMAKE_TARGET  = quackleio
DESTDIR       = 
TARGET        = libquackleio.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: quackleio.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix -o Makefile quackleio.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/staticlib.prf:
/usr/share/qt4/mkspecs/features/static.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile quackleio.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/release/quackleio0.9 || $(MKDIR) obj/release/quackleio0.9 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/release/quackleio0.9/ && $(COPY_FILE) --parents gcgio.h logania.h queenie.h streamingreporter.h flexiblealphabet.h util.h froggetopt.h dict.h dictfactory.h dictimplementation.h obj/release/quackleio0.9/ && $(COPY_FILE) --parents gcgio.cpp queenie.cpp streamingreporter.cpp flexiblealphabet.cpp util.cpp froggetopt.cpp dict.cpp dictfactory.cpp dictimplementation.cpp obj/release/quackleio0.9/ && (cd `dirname obj/release/quackleio0.9` && $(TAR) quackleio0.9.tar quackleio0.9 && $(COMPRESS) quackleio0.9.tar) && $(MOVE) `dirname obj/release/quackleio0.9`/quackleio0.9.tar.gz . && $(DEL_FILE) -r obj/release/quackleio0.9


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

obj/release/gcgio.o: gcgio.cpp ../datamanager.h \
		../playerlist.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../player.h \
		../rack.h \
		../game.h \
		../bag.h \
		../board.h \
		../move.h \
		gcgio.h \
		logania.h \
		util.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/gcgio.o gcgio.cpp

obj/release/queenie.o: queenie.cpp gcgio.h \
		logania.h \
		queenie.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/queenie.o queenie.cpp

obj/release/streamingreporter.o: streamingreporter.cpp ../game.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../bag.h \
		../rack.h \
		../board.h \
		../move.h \
		../player.h \
		../playerlist.h \
		streamingreporter.h \
		../reporter.h \
		util.h \
		../datamanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/streamingreporter.o streamingreporter.cpp

obj/release/flexiblealphabet.o: flexiblealphabet.cpp flexiblealphabet.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		util.h \
		../datamanager.h \
		../playerlist.h \
		../player.h \
		../rack.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/flexiblealphabet.o flexiblealphabet.cpp

obj/release/util.o: util.cpp ../move.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../rack.h \
		dict.h \
		../generator.h \
		../game.h \
		../bag.h \
		../board.h \
		../player.h \
		../playerlist.h \
		dictfactory.h \
		util.h \
		../datamanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/util.o util.cpp

obj/release/froggetopt.o: froggetopt.cpp froggetopt.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/froggetopt.o froggetopt.cpp

obj/release/dict.o: dict.cpp dict.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../generator.h \
		../game.h \
		../bag.h \
		../rack.h \
		../board.h \
		../move.h \
		../player.h \
		../playerlist.h \
		util.h \
		../datamanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/dict.o dict.cpp

obj/release/dictfactory.o: dictfactory.cpp dictfactory.h \
		dict.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../generator.h \
		../game.h \
		../bag.h \
		../rack.h \
		../board.h \
		../move.h \
		../player.h \
		../playerlist.h \
		dictimplementation.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/dictfactory.o dictfactory.cpp

obj/release/dictimplementation.o: dictimplementation.cpp ../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../datamanager.h \
		../playerlist.h \
		../player.h \
		../rack.h \
		../generator.h \
		../game.h \
		../bag.h \
		../board.h \
		../move.h \
		../lexiconparameters.h \
		../gaddag.h \
		../quackleio/util.h \
		dictimplementation.h \
		dict.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/dictimplementation.o dictimplementation.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== test/Makefile ===
#############################################################################
# Makefile for building: test
# Generated by qmake (2.01a) (Qt 4.2.1) on: Tue Jul 22 21:43:45 2008
# Project:  test.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile test.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT  $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.. -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -L.. -L../quackleio -lquackle -lquackleio -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/release/

####### Files

SOURCES       = testharness.cpp \
		testmain.cpp \
		trademarkedboards.cpp 
OBJECTS       = obj/release/testharness.o \
		obj/release/testmain.o \
		obj/release/trademarkedboards.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		test.pro
QMAKE_TARGET  = test
DESTDIR       = 
TARGET        = test

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: test.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix -o Makefile test.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile test.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/release/test1.0.0 || $(MKDIR) obj/release/test1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/release/test1.0.0/ && $(COPY_FILE) --parents testharness.h trademarkedboards.h obj/release/test1.0.0/ && $(COPY_FILE) --parents testharness.cpp testmain.cpp trademarkedboards.cpp obj/release/test1.0.0/ && (cd `dirname obj/release/test1.0.0` && $(TAR) test1.0.0.tar test1.0.0 && $(COMPRESS) test1.0.0.tar) && $(MOVE) `dirname obj/release/test1.0.0`/test1.0.0.tar.gz . && $(DEL_FILE) -r obj/release/test1.0.0


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

obj/release/testharness.o: testharness.cpp ../bogowinplayer.h \
		../computerplayer.h \
		../sim.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../game.h \
		../bag.h \
		../rack.h \
		../board.h \
		../move.h \
		../player.h \
		../playerlist.h \
		../endgame.h \
		../computerplayercollection.h \
		../resolvent.h \
		../datamanager.h \
		../endgameplayer.h \
		../gameparameters.h \
		../lexiconparameters.h \
		../gaddag.h \
		../strategyparameters.h \
		../enumerator.h \
		../reporter.h \
		../quackleio/dictimplementation.h \
		../generator.h \
		../quackleio/dict.h \
		../quackleio/flexiblealphabet.h \
		../quackleio/froggetopt.h \
		../quackleio/gcgio.h \
		../quackleio/logania.h \
		../quackleio/util.h \
		trademarkedboards.h \
		../boardparameters.h \
		testharness.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/testharness.o testharness.cpp

obj/release/testmain.o: testmain.cpp ../game.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../bag.h \
		../rack.h \
		../board.h \
		../move.h \
		../player.h \
		../playerlist.h \
		../quackleio/util.h \
		../datamanager.h \
		testharness.h \
		trademarkedboards.h \
		../boardparameters.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/testmain.o testmain.cpp

obj/release/trademarkedboards.o: trademarkedboards.cpp trademarkedboards.h \
		../boardparameters.h \
		../board.h \
		../alphabetparameters.h \
		../fixedstring.h \
		../uv.h \
		../bag.h \
		../rack.h \
		../move.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/release/trademarkedboards.o trademarkedboards.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
quackle (0.97-maemo3) unstable; urgency=low

  * Starting

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 22 Aug 2012 23:14:31 +0200

=== debian/control ===
Source: quackle
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, libqt4-dev
Standards-Version: 3.7.2
Homepage: http://people.csail.mit.edu/jasonkb/quackle/
XSBC-Bugtracker: http://sourceforge.net/projects/quackle/

Package: quackle
Architecture: any
Depends: ${shlibs:Depends}
Description: Crossword game with local multiplayer and AI oppenents.
 .
 Quackle is a world-class crossword game artificial intelligence and analysis tool. It includes a move generator, 
 simulator, and Qt-based user interface and can be used with any board layout, alphabet, lexicon, and tile 
 distribution.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -O0
else
	CPPFLAGS += -O3
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -g -O0 -DDEBUG
else
	CPPFLAGS += -DNDEBUG
endif


ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
	GCC_VERSION=-4.6
else
	GCC_VERSION=
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.

configure:

build: build-stamp
build-stamp: config.status
	dh_testdir
	# Add here commands to compile the package.
	#echo used compiler is .gcc$(GCC_VERSION).

	qmake;make
	cd quackleio ; qmake ; make
	cd quacker ; qmake ; make; strip quacker
	
	touch build-stamp

clean: config.status
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	make clean
	cd quackleio ; make clean
	cd quacker ; make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	#$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install
	#!/bin/sh
	CURDIR=$1

	#binary
	install -d  ${CURDIR}/debian/quackle/opt/quackle/bin
	install ${CURDIR}/quacker/quacker ${CURDIR}/debian/quackle/opt/quackle/bin

	#starter
	install ${CURDIR}/debian/quackle.sh ${CURDIR}/debian/quackle/opt/quackle/

	#data files
	cp -r ${CURDIR}/data ${CURDIR}/debian/quackle/opt/quackle/

	#icon
	#install -d  ${CURDIR}/debian/quackle/usr/share/pixmaps 
	#install ${CURDIR}/debian/quackle.png  ${CURDIR}/debian/quackle/usr/share/pixmaps/quackle.png

	#menu 
	install -d ${CURDIR}/debian/quackle/usr/share/applications/hildon
	install ${CURDIR}/debian/quackle.desktop ${CURDIR}/debian/quackle/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_undocumented
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
